Subject: Re: [PATCH v4 05/25] midx: clear auxiliary .rev after replacing the MIDX

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Aug 2021 15:28:47 -0700

"brian m. carlson" <[email-masked]> writes:

> Yeah, this is a possible problem.  You can also see it when using git
> index-pack outside of a repository with an incorrect --object-format
> option.
>
> I'm not sure how folks want to deal with that; I'm just fine saying,
> "Well, don't do that," but other folks may have different opinions.

OK, so if we go back to the original breakage of the test script
that triggered this discussion, the right solution would be to make
sure both test repositories/object stores are prepared with the
algorithm specified with GIT_TEST_DEFAULT_HASH?

Thanks.